package com.ibiz.core.r7rt_wf.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[流程步骤信息]
 */
public class WFSTEPDATA implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 流程步骤信息标识
     */
    private String wFSTEPDATAId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wFSTEPDATAIdDirtyFlag;

    /**
     * 操作时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp actionTime;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean actionTimeDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 操作信息
     */
    private String actionInfo;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean actionInfoDirtyFlag;

    /**
     * 流程环节
     */
    private String wFStepId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wFStepIdDirtyFlag;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 操作
     */
    private String action;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean actionDirtyFlag;

    /**
     * 流程步骤信息名称
     */
    private String wFSTEPDATAName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wFSTEPDATANameDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 流程环节
     */
    private String wFStepName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wFStepNameDirtyFlag;


    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [流程步骤信息标识]
     */
    @JsonProperty("wfstepdataid")
    @JSONField(name="wfstepdataid")
    public String getWFSTEPDATAId(){
        return this.wFSTEPDATAId ;
    }

    /**
     * 设置 [流程步骤信息标识]
     */
    @JsonProperty("wfstepdataid")
    @JSONField(name="wfstepdataid")
    public void setWFSTEPDATAId(String wFSTEPDATAId){
        this.wFSTEPDATAId = wFSTEPDATAId ;
        this.wFSTEPDATAIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程步骤信息标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWFSTEPDATAIdDirtyFlag(){
        return this.wFSTEPDATAIdDirtyFlag ;
    }
    /**
     * 获取 [操作时间]
     */
    @JsonProperty("actiontime")
    @JSONField(name="actiontime")
    public Timestamp getActionTime(){
        return this.actionTime ;
    }

    /**
     * 设置 [操作时间]
     */
    @JsonProperty("actiontime")
    @JSONField(name="actiontime")
    public void setActionTime(Timestamp actionTime){
        this.actionTime = actionTime ;
        this.actionTimeDirtyFlag = true ;
    }

    /**
     * 获取 [操作时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getActionTimeDirtyFlag(){
        return this.actionTimeDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [操作信息]
     */
    @JsonProperty("actioninfo")
    @JSONField(name="actioninfo")
    public String getActionInfo(){
        return this.actionInfo ;
    }

    /**
     * 设置 [操作信息]
     */
    @JsonProperty("actioninfo")
    @JSONField(name="actioninfo")
    public void setActionInfo(String actionInfo){
        this.actionInfo = actionInfo ;
        this.actionInfoDirtyFlag = true ;
    }

    /**
     * 获取 [操作信息]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getActionInfoDirtyFlag(){
        return this.actionInfoDirtyFlag ;
    }
    /**
     * 获取 [流程环节]
     */
    @JsonProperty("wfstepid")
    @JSONField(name="wfstepid")
    public String getWFStepId(){
        return this.wFStepId ;
    }

    /**
     * 设置 [流程环节]
     */
    @JsonProperty("wfstepid")
    @JSONField(name="wfstepid")
    public void setWFStepId(String wFStepId){
        this.wFStepId = wFStepId ;
        this.wFStepIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程环节]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWFStepIdDirtyFlag(){
        return this.wFStepIdDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [操作]
     */
    @JsonProperty("action")
    @JSONField(name="action")
    public String getAction(){
        return this.action ;
    }

    /**
     * 设置 [操作]
     */
    @JsonProperty("action")
    @JSONField(name="action")
    public void setAction(String action){
        this.action = action ;
        this.actionDirtyFlag = true ;
    }

    /**
     * 获取 [操作]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getActionDirtyFlag(){
        return this.actionDirtyFlag ;
    }
    /**
     * 获取 [流程步骤信息名称]
     */
    @JsonProperty("wfstepdataname")
    @JSONField(name="wfstepdataname")
    public String getWFSTEPDATAName(){
        return this.wFSTEPDATAName ;
    }

    /**
     * 设置 [流程步骤信息名称]
     */
    @JsonProperty("wfstepdataname")
    @JSONField(name="wfstepdataname")
    public void setWFSTEPDATAName(String wFSTEPDATAName){
        this.wFSTEPDATAName = wFSTEPDATAName ;
        this.wFSTEPDATANameDirtyFlag = true ;
    }

    /**
     * 获取 [流程步骤信息名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWFSTEPDATANameDirtyFlag(){
        return this.wFSTEPDATANameDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [流程环节]
     */
    @JsonProperty("wfstepname")
    @JSONField(name="wfstepname")
    public String getWFStepName(){
        return this.wFStepName ;
    }

    /**
     * 设置 [流程环节]
     */
    @JsonProperty("wfstepname")
    @JSONField(name="wfstepname")
    public void setWFStepName(String wFStepName){
        this.wFStepName = wFStepName ;
        this.wFStepNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程环节]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWFStepNameDirtyFlag(){
        return this.wFStepNameDirtyFlag ;
    }

}

