package com.ibiz.core.r7rt_wf.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[WFSTEPDATA] 查询条件对象
 */
@Data
public class WFSTEPDATASearchContext extends SearchContext {

	   public String n_wfstepdataname_like;//[流程步骤信息名称]
       public void setN_wfstepdataname_like(String n_wfstepdataname_like) {
            this.n_wfstepdataname_like=n_wfstepdataname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("wfstepdataname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_wfstepdataname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter wfstepdataname=new SearchFieldFilter();
           wfstepdataname.setParam("wfstepdataname");
           wfstepdataname.setCondition(SearchFieldType.LIKE);
           wfstepdataname.setValue(strQuery);
           searchGroupFilter.getCondition().add(wfstepdataname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
