package com.ibiz.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.r7rt_wf.domain.WFSTEPDATA;
import com.ibiz.core.r7rt_wf.filter.WFSTEPDATASearchContext;

/**
 * 实体[WFSTEPDATA] 服务对象接口
 */

public interface IWFSTEPDATAService{
     boolean checkKey(WFSTEPDATA wFSTEPDATA) ;
     WFSTEPDATA get(String wFSTEPDATAId) ;
     WFSTEPDATA get(WFSTEPDATA wFSTEPDATA) ;
     WFSTEPDATA getDraft(WFSTEPDATA wFSTEPDATA) ;
     boolean create(WFSTEPDATA wFSTEPDATA) ;
     boolean update(WFSTEPDATA wFSTEPDATA) ;
     boolean save(WFSTEPDATA wFSTEPDATA) ;
     boolean remove(String wFSTEPDATAId) ;

    /**
     * 查询集合 ByBswfdata
     */
    Page<WFSTEPDATA> searchByBswfdata(WFSTEPDATASearchContext context) ;

    /**
     * 查询集合 ByBsdata
     */
    Page<WFSTEPDATA> searchByBsdata(WFSTEPDATASearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFSTEPDATA> searchDefault(WFSTEPDATASearchContext context) ;

}
