package com.ibiz.core.r7rt_wf.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import com.ibiz.core.client.model.IWFSTEPDATA;
import com.ibiz.core.r7rt_wf.domain.WFSTEPDATA;
import com.ibiz.core.r7rt_wf.filter.WFSTEPDATASearchContext;
import com.ibiz.core.r7rt_wf.service.IWFSTEPDATAService;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz.util.SearchResult;

/**
 * 实体[流程步骤信息] 服务对象接口实现
 */
@Service
public class WFSTEPDATAServiceImpl implements IWFSTEPDATAService {

    @Autowired
    private com.ibiz.core.client.service.IWFSTEPDATAClientService wFSTEPDATAClientService;

    @Override
    public boolean checkKey(WFSTEPDATA wfstepdata) {
        return true;
    }

    @Override
    public WFSTEPDATA get(String wfstepdataid) {
        IWFSTEPDATA clientModel = wFSTEPDATAClientService.createModel();
        clientModel.setWFSTEPDATAId(wfstepdataid);
        wFSTEPDATAClientService.get(clientModel) ;
        return this.convert2Domain(clientModel,null);
    }

    @Override
    public WFSTEPDATA get(WFSTEPDATA wfstepdata) {
        WFSTEPDATA retwfstepdata = this.get(wfstepdata.getWFSTEPDATAId()) ;
    	BeanCopier copier=BeanCopier.create(retwfstepdata.getClass(), wfstepdata.getClass(), false);
        copier.copy(retwfstepdata, wfstepdata, null);
        return wfstepdata ;
    }

    @Override
    public WFSTEPDATA getDraft(WFSTEPDATA wfstepdata) {
        return wfstepdata;
    }

    @Override
    public boolean create(WFSTEPDATA wfstepdata) {
        boolean bOk = false ;
        IWFSTEPDATA clientModel = this.convert2Model(wfstepdata,null);
        wFSTEPDATAClientService.create(clientModel) ;
        this.convert2Domain(clientModel,wfstepdata);
        bOk = true ;

        return bOk ;
    }

    @Override
    public boolean update(WFSTEPDATA wfstepdata) {
        boolean bOk = false ;
        IWFSTEPDATA clientModel = this.convert2Model(wfstepdata,null);
        wFSTEPDATAClientService.update(clientModel) ;
        this.convert2Domain(clientModel,wfstepdata) ;
        bOk = true;
        return bOk ;
    }

    @Override
    public boolean save(WFSTEPDATA wfstepdata) {
        if(wfstepdata.getWFSTEPDATAId()==null){
    		return create(wfstepdata);
    	}else{
            if(this.get(wfstepdata.getWFSTEPDATAId())!=null){
    			return update(wfstepdata);
    		}
    		return create(wfstepdata);
    	}
    }

    @Override
    public boolean remove(String wfstepdataid) {
        boolean bOk = false ;
        IWFSTEPDATA clientModel = wFSTEPDATAClientService.createModel();
        clientModel.setWFSTEPDATAId(wfstepdataid);
        wFSTEPDATAClientService.remove(clientModel) ;
        bOk = true ;
        return bOk ;
    }

    /**
     * 查询集合 ByBswfdata
     */
    @Override
    public Page<WFSTEPDATA> searchByBswfdata(WFSTEPDATASearchContext context) {
        List<WFSTEPDATA> list = new ArrayList<WFSTEPDATA>();
        Page<com.ibiz.core.client.model.IWFSTEPDATA> clientModelList = wFSTEPDATAClientService.fetchByBswfdata(context) ;
        for(com.ibiz.core.client.model.IWFSTEPDATA clientModel : clientModelList){
            list.add( this.convert2Domain(clientModel,null));
        }
        return new PageImpl<WFSTEPDATA>(list, context.getPageable(), clientModelList.getTotalElements());
    }

    /**
     * 查询集合 ByBsdata
     */
    @Override
    public Page<WFSTEPDATA> searchByBsdata(WFSTEPDATASearchContext context) {
        List<WFSTEPDATA> list = new ArrayList<WFSTEPDATA>();
        Page<com.ibiz.core.client.model.IWFSTEPDATA> clientModelList = wFSTEPDATAClientService.fetchByBsdata(context) ;
        for(com.ibiz.core.client.model.IWFSTEPDATA clientModel : clientModelList){
            list.add( this.convert2Domain(clientModel,null));
        }
        return new PageImpl<WFSTEPDATA>(list, context.getPageable(), clientModelList.getTotalElements());
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<WFSTEPDATA> searchDefault(WFSTEPDATASearchContext context) {
        List<WFSTEPDATA> list = new ArrayList<WFSTEPDATA>();
        Page<com.ibiz.core.client.model.IWFSTEPDATA> clientModelList = wFSTEPDATAClientService.fetchDefault(context) ;
        for(com.ibiz.core.client.model.IWFSTEPDATA clientModel : clientModelList){
            list.add( this.convert2Domain(clientModel,null));
        }
        return new PageImpl<WFSTEPDATA>(list, context.getPageable(), clientModelList.getTotalElements());
    }




    public IWFSTEPDATA convert2Model(WFSTEPDATA domain , IWFSTEPDATA model) {
        if(domain == null)
            return model ;
        if(model==null){
            model = wFSTEPDATAClientService.createModel() ;
        }

         if(domain.getCreateDateDirtyFlag())
            model.setCreateDate(domain.getCreateDate());
         if(domain.getWFSTEPDATAIdDirtyFlag())
            model.setWFSTEPDATAId(domain.getWFSTEPDATAId());
         if(domain.getActionTimeDirtyFlag())
            model.setActionTime(domain.getActionTime());
         if(domain.getUpdateDateDirtyFlag())
            model.setUpdateDate(domain.getUpdateDate());
         if(domain.getActionInfoDirtyFlag())
            model.setActionInfo(domain.getActionInfo());
         if(domain.getWFStepIdDirtyFlag())
            model.setWFStepId(domain.getWFStepId());
         if(domain.getUpdateManDirtyFlag())
            model.setUpdateMan(domain.getUpdateMan());
         if(domain.getActionDirtyFlag())
            model.setAction(domain.getAction());
         if(domain.getWFSTEPDATANameDirtyFlag())
            model.setWFSTEPDATAName(domain.getWFSTEPDATAName());
         if(domain.getCreateManDirtyFlag())
            model.setCreateMan(domain.getCreateMan());
         if(domain.getWFStepNameDirtyFlag())
            model.setWFStepName(domain.getWFStepName());
        return model ;
    }

    public WFSTEPDATA convert2Domain( IWFSTEPDATA model ,WFSTEPDATA domain) {
        if(model == null)
            return domain ;
        if(domain == null){
            domain = new WFSTEPDATA();
        }

        if(model.getCreateDateDirtyFlag())
            domain.setCreateDate(model.getCreateDate());
        if(model.getWFSTEPDATAIdDirtyFlag())
            domain.setWFSTEPDATAId(model.getWFSTEPDATAId());
        if(model.getActionTimeDirtyFlag())
            domain.setActionTime(model.getActionTime());
        if(model.getUpdateDateDirtyFlag())
            domain.setUpdateDate(model.getUpdateDate());
        if(model.getActionInfoDirtyFlag())
            domain.setActionInfo(model.getActionInfo());
        if(model.getWFStepIdDirtyFlag())
            domain.setWFStepId(model.getWFStepId());
        if(model.getUpdateManDirtyFlag())
            domain.setUpdateMan(model.getUpdateMan());
        if(model.getActionDirtyFlag())
            domain.setAction(model.getAction());
        if(model.getWFSTEPDATANameDirtyFlag())
            domain.setWFSTEPDATAName(model.getWFSTEPDATAName());
        if(model.getCreateManDirtyFlag())
            domain.setCreateMan(model.getCreateMan());
        if(model.getWFStepNameDirtyFlag())
            domain.setWFStepName(model.getWFStepName());
        return domain ;
    }


}
